> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a service's specification lints

GET https://api.getpostman.com/api-catalog/services/{serviceId}/spec-lints

Gets a list of API specification lint runs for a service that includes summary statistics and per-severity issue counts.

Reference: https://learning.postman.com/api-docs/api-reference/api-catalog/get-api-catalog-service-specification-lints

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /api-catalog/services/{serviceId}/spec-lints:
    get:
      operationId: getApiCatalogServiceSpecificationLints
      summary: Get a service's specification lints
      description: >-
        Gets a list of API specification lint runs for a service that includes
        summary statistics and per-severity issue counts.
      tags:
        - apiCatalog
      parameters:
        - name: serviceId
          in: path
          description: The service's ID.
          required: true
          schema:
            $ref: '#/components/schemas/serviceId'
        - name: specId
          in: query
          description: Filter results to the given API specification ID.
          required: false
          schema:
            $ref: '#/components/schemas/specId'
        - name: severity
          in: query
          description: >-
            Filter results to runs with issues at or above the given severity
            threshold. Higher severities are always included.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceSpecLintSeverityFilter'
        - name: status
          in: query
          description: Filter results to the given spec lint outcome.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceStatusFilter'
        - name: sort
          in: query
          description: >-
            Sort the results in field:direction order format. Accepts the
            `timestamp` and `errorCount` fields. Supports the `asc` and `desc`
            directions.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceSortSpecLintFilter'
        - name: limit
          in: query
          description: >-
            The maximum number of rows to return in the response, up to a
            maximum value of 100. Any value greater than 100 returns a 400 Bad
            Request response.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault20'
            default: 20
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getApiCatalogServiceSpecificationLints'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiCatalogError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetApiCatalogServiceSpecificationLintsRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    serviceId:
      type: string
      title: serviceId
    specId:
      type: string
      title: specId
    apiCatalogServiceSpecLintSeverityFilter:
      type: string
      enum:
        - info
        - warning
        - error
      title: apiCatalogServiceSpecLintSeverityFilter
    apiCatalogServiceStatusFilter:
      type: string
      enum:
        - passed
        - failed
      title: apiCatalogServiceStatusFilter
    apiCatalogServiceSortSpecLintFilter:
      type: string
      title: apiCatalogServiceSortSpecLintFilter
    limitDefault20:
      type: integer
      default: 20
      title: limitDefault20
    cursor:
      type: string
      title: cursor
    apiCatalogServiceMetadataNextCursorData:
      type: string
      description: The pagination cursor that points to the next record in the results set.
      title: apiCatalogServiceMetadataNextCursorData
    apiCatalogServiceMetadataLimitData:
      type: integer
      description: The maximum number of records in the paginated response.
      title: apiCatalogServiceMetadataLimitData
    apiCatalogServiceMetadataFiltersData:
      type: object
      properties: {}
      description: The filters applied to the request.
      title: apiCatalogServiceMetadataFiltersData
    ApiCatalogServiceMetadataTimeRangeDataLabel:
      type: string
      enum:
        - last_7_days
      description: The time range's label.
      title: ApiCatalogServiceMetadataTimeRangeDataLabel
    apiCatalogServiceMetadataTimeRangeData:
      type: object
      properties:
        start:
          type: string
          format: date-time
          description: The start of the time window.
        end:
          type: string
          format: date-time
          description: The end of the time window.
        label:
          $ref: '#/components/schemas/ApiCatalogServiceMetadataTimeRangeDataLabel'
          description: The time range's label.
      required:
        - start
        - end
        - label
      description: The time window for the returned data.
      title: apiCatalogServiceMetadataTimeRangeData
    apiCatalogServiceMetadataTotalRunsData:
      type: integer
      description: The total number of runs that match the given filters.
      title: apiCatalogServiceMetadataTotalRunsData
    apiCatalogServiceMetadataPassedRunsData:
      type: integer
      description: The number of successful runs.
      title: apiCatalogServiceMetadataPassedRunsData
    apiCatalogServiceMetadataFailedRunsData:
      type: integer
      description: The number of runs with at least one failure.
      title: apiCatalogServiceMetadataFailedRunsData
    apiCatalogServiceMetadataConformanceRatePctData:
      type: number
      format: double
      description: The percentage of runs that passed, rounded to two decimal places.
      title: apiCatalogServiceMetadataConformanceRatePctData
    GetApiCatalogServiceSpecificationLintsMeta:
      type: object
      properties:
        nextCursor:
          $ref: '#/components/schemas/apiCatalogServiceMetadataNextCursorData'
        limit:
          $ref: '#/components/schemas/apiCatalogServiceMetadataLimitData'
        filters:
          $ref: '#/components/schemas/apiCatalogServiceMetadataFiltersData'
        timeRange:
          $ref: '#/components/schemas/apiCatalogServiceMetadataTimeRangeData'
        totalRuns:
          $ref: '#/components/schemas/apiCatalogServiceMetadataTotalRunsData'
        passedRuns:
          $ref: '#/components/schemas/apiCatalogServiceMetadataPassedRunsData'
        failedRuns:
          $ref: '#/components/schemas/apiCatalogServiceMetadataFailedRunsData'
        conformanceRatePct:
          $ref: '#/components/schemas/apiCatalogServiceMetadataConformanceRatePctData'
      required:
        - nextCursor
        - limit
        - filters
        - timeRange
        - totalRuns
        - passedRuns
        - failedRuns
        - conformanceRatePct
      description: The response's meta information for paginated results.
      title: GetApiCatalogServiceSpecificationLintsMeta
    GetApiCatalogServiceSpecificationLintsDataItemsStatus:
      type: string
      enum:
        - passed
        - failed
      description: Whether the lint run passed or failed.
      title: GetApiCatalogServiceSpecificationLintsDataItemsStatus
    GetApiCatalogServiceSpecificationLintsDataItemsIssues:
      type: object
      properties:
        errors:
          type: integer
          description: The number of error level issues found.
        warnings:
          type: integer
          description: The number of warning level issues found.
        info:
          type: integer
          description: The number of info level issues found.
      required:
        - errors
        - warnings
        - info
      description: Issue counts by severity level.
      title: GetApiCatalogServiceSpecificationLintsDataItemsIssues
    GetApiCatalogServiceSpecificationLintsDataItems:
      type: object
      properties:
        specId:
          type: string
          description: The API specification's ID.
        specName:
          type:
            - string
            - 'null'
          description: >-
            The API specification's name. If the specification was deleted or
            its metadata is unavailable, this returns a null value.
        specType:
          type:
            - string
            - 'null'
          description: >-
            The API specification's type and version ID. If the metadata is
            unavailable, this returns a null value.
        timestamp:
          type: string
          format: date-time
          description: The date and time at which the run completed.
        status:
          $ref: >-
            #/components/schemas/GetApiCatalogServiceSpecificationLintsDataItemsStatus
          description: Whether the lint run passed or failed.
        issues:
          $ref: >-
            #/components/schemas/GetApiCatalogServiceSpecificationLintsDataItemsIssues
          description: Issue counts by severity level.
      required:
        - specId
        - specName
        - specType
        - timestamp
        - status
        - issues
      title: GetApiCatalogServiceSpecificationLintsDataItems
    getApiCatalogServiceSpecificationLints:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/GetApiCatalogServiceSpecificationLintsMeta'
          description: The response's meta information for paginated results.
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/GetApiCatalogServiceSpecificationLintsDataItems
          description: A list of API specification lint runs.
      required:
        - meta
        - data
      title: getApiCatalogServiceSpecificationLints
    apiCatalogErrorPathMessage:
      type: object
      properties:
        path:
          type: string
          description: The path in which the error occurred.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: apiCatalogErrorPathMessage
    apiCatalogError:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogErrorPathMessage'
          description: A list of errors.
      title: apiCatalogError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetApiCatalogServiceSpecificationLintsRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiCatalogServiceSpecificationLintsRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "meta": {
    "nextCursor": null,
    "limit": 20,
    "filters": {},
    "timeRange": {
      "start": "2026-04-14T13:43:59.525Z",
      "end": "2026-04-21T13:43:59.525Z",
      "label": "last_7_days"
    },
    "totalRuns": 2,
    "passedRuns": 2,
    "failedRuns": 0,
    "conformanceRatePct": 100
  },
  "data": [
    {
      "specId": "4c2e5d66-dd5a-43ea-a669-112f16ad48b4",
      "specName": "ACS E2E Spec",
      "specType": "OPENAPI:3.0",
      "timestamp": "2026-04-19T12:08:43.110Z",
      "status": "passed",
      "issues": {
        "errors": 0,
        "warnings": 15,
        "info": 0
      }
    },
    {
      "specId": "4c2e5d66-dd5a-43ea-a669-112f16ad48b4",
      "specName": "ACS E2E Spec",
      "specType": "OPENAPI:3.0",
      "timestamp": "2026-04-16T03:49:56.069Z",
      "status": "passed",
      "issues": {
        "errors": 0,
        "warnings": 15,
        "info": 0
      }
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/spec-lints"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/spec-lints';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/spec-lints"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/spec-lints")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/spec-lints")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/spec-lints', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/spec-lints");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/spec-lints")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```